<template lang="">
  <div> 
      <div class="box-buttons">
        
              <Button
              classes="button--blue"
              :icon="'back'"
              @onclick="handleClick"
              >
              Back
            </Button>
            <div class="box-buttons box-buttons__left">
            <input v-model="todoName">
        
        <Button
          @onclick="addTodo"
          :icon="'plus'"
          classes="button--blue"
        >
        Add Todo
        </Button>
        </div>
    </div>
   
    <BodyTodos />
  </div>
</template>
<script>
import { mapState } from "vuex";
import Button from "../../components/Button.vue";
import BodyTodos from "./components/BodyTodos.vue";
export default {
  components: {
    Button,
    BodyTodos,
  },
  data() {
    return {
      todoName: "",
    };
  },
  methods: {
    handleClick() {
      this.$router.go(-1);
    },
    addTodo() {
      let body = {
        userId: this.$route.params.id,
        id: Number(this.$route.params.id) * 20 + (this.todos.length - 20) + 1,
        title: this.todoName,
        completed: false,
      };
      this.$store.dispatch("addNewTodo", body);
      this.todoName = "";
      console.log(body);
    },
  },
  computed: {
    ...mapState(["todos"]),
  },
};
</script>
<style lang="">
</style>